LOCAL_PATH := $(call my-dir)

SP_INCLUDE_TOP := $(LOCAL_PATH)/../../../../include
SP_BASE_TOP := $(LOCAL_PATH)/../../../../spBase
SP_BASE_LIB_LOCAL := $(LOCAL_PATH)/../../../../spBase/android/obj/local
SP_AUDIO_TOP := $(LOCAL_PATH)/../../../../spAudio
SP_AUDIO_LIB_LOCAL := $(LOCAL_PATH)/../../../../spAudio/android/obj/local
MONKEY_CODEC_TOP := ../..
MONKEY_CODEC_TOP2 := ../../MAC

include $(CLEAR_VARS)

LOCAL_MODULE    := output_monkey
LOCAL_SRC_FILES := \
		../../output_monkey.cpp \
		../../MAC/Source/Shared/CharacterHelper.cpp ../../MAC/Source/Shared/CircleBuffer.cpp ../../MAC/Source/Shared/CRC.cpp ../../MAC/Source/Shared/GlobalFunctions.cpp ../../MAC/Source/Shared/StdLibFileIO.cpp ../../MAC/Source/Shared/WinFileIO.cpp \
		../../MAC/Source/MACLib/APECompress.cpp ../../MAC/Source/MACLib/APECompressCore.cpp ../../MAC/Source/MACLib/APECompressCreate.cpp ../../MAC/Source/MACLib/APEDecompress.cpp ../../MAC/Source/MACLib/APEHeader.cpp ../../MAC/Source/MACLib/APEInfo.cpp ../../MAC/Source/MACLib/APELink.cpp ../../MAC/Source/MACLib/APESimple.cpp ../../MAC/Source/MACLib/APETag.cpp ../../MAC/Source/MACLib/BitArray.cpp ../../MAC/Source/MACLib/MACLib.cpp ../../MAC/Source/MACLib/MACProgressHelper.cpp ../../MAC/Source/MACLib/MD5.cpp ../../MAC/Source/MACLib/NewPredictor.cpp ../../MAC/Source/MACLib/NNFilter.cpp ../../MAC/Source/MACLib/Prepare.cpp ../../MAC/Source/MACLib/UnBitArray.cpp ../../MAC/Source/MACLib/UnBitArrayBase.cpp ../../MAC/Source/MACLib/WAVInputSource.cpp \
		../../MAC/Source/MACLib/Old/Anti-Predictor.cpp ../../MAC/Source/MACLib/Old/AntiPredictorExtraHigh.cpp ../../MAC/Source/MACLib/Old/AntiPredictorFast.cpp ../../MAC/Source/MACLib/Old/AntiPredictorHigh.cpp ../../MAC/Source/MACLib/Old/AntiPredictorNormal.cpp ../../MAC/Source/MACLib/Old/APEDecompressCore.cpp ../../MAC/Source/MACLib/Old/APEDecompressOld.cpp ../../MAC/Source/MACLib/Old/UnBitArrayOld.cpp ../../MAC/Source/MACLib/Old/UnMAC.cpp

ifeq ($(TARGET_ARCH_ABI),arm64-v8a)
LOCAL_CFLAGS += -ffast-math
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := false
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := true
endif

SP_BASE_LIB_TOP := $(SP_BASE_LIB_LOCAL)/$(TARGET_ARCH_ABI)
SP_AUDIO_LIB_TOP := $(SP_AUDIO_LIB_LOCAL)/$(TARGET_ARCH_ABI)

LOCAL_C_INCLUDES := $(SP_INCLUDE_TOP) $(SP_BASE_TOP) $(SP_AUDIO_TOP) $(LOCAL_PATH)/$(MONKEY_CODEC_TOP) $(LOCAL_PATH)/$(MONKEY_CODEC_TOP2)
LOCAL_CFLAGS += -fexceptions -Dftello64=ftello -DPLATFORM_LINUX -DANDROID -DHAVE_PTHREAD $(LOCAL_C_INCLUDES:%=-I%)
LOCAL_LDLIBS := -L$(SP_BASE_LIB_TOP) -L$(SP_AUDIO_LIB_TOP) -L$(SYSROOT)/usr/lib -lspa -lspb -ldl -llog -landroid

ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_LDLIBS += -lm_hard
endif

include $(BUILD_SHARED_LIBRARY)
