#! /bin/sh

dirs=`ls`
target=""

origlib=$LIB
echo $LIB

if [ .$1 = .clean ]; then
    target="CLEAN"
fi

for dir in $dirs ; do
    for prog in $dir input_$dir output_$dir ; do
	if [ -d "$dir" -a -f "$dir/$prog.mak" ] ; then
	    echo Program: $prog

	    cd "$dir"
	    LIB="$origlib;..\\..\\lib"
	    echo $LIB
	    if [ -d libsndfile/Makefile ] ; then
		cd libsndfile
		make distclean
		cd ..
	    fi
	    nmake /f  "$prog.mak" CFG="$prog - Win32 Release" $target
	    cd ..
	fi
    done
done

